Subject: Tsvart last call review of draft-ietf-mpls-sr-over-ip-03

From: Datatracker on behalf of Martin Stiemerling <[email-masked]>
Date: Tue, 05 Mar 2019 13:23:47 -0800

Reviewer: Martin Stiemerling
Review result: Ready

This document has been reviewed as part of the transport area review team's
ongoing effort to review key IETF documents. These comments were written
primarily for the transport area directors, but are copied to the document's
authors and WG to allow them to address any issues raised and also to the IETF
discussion list for information.

When done at the time of IETF Last Call, the authors should consider this
review as part of the last-call comments they receive. Please always CC
[email-masked] if you reply to or forward this review.

A good document and I have only one request: From a Transport Area perspective,
it would be good to emphasize RFC 7510 and its details about MPLS over UDP.

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 5 Mar 2019 21:35:08 -0000

Hi Martin,

Good to hear from you.

> I have only one request: From a Transport Area perspective,

Happy to accommodate this request.

But what do you have in mind?

There are references to 7510, in the Introduction and in the first two use cases in Section 2.
Then, the packet forwarding procedures in Section 3.2 begin with a reference to 7510 as well.
And there a couple more references in the document.

Thanks,
Adrian

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 12 Mar 2019 14:41:57 -0500

Hi, Adrian,

> And there a couple more references in the document.

I haven't seen a response back from Martin, and this doc is on the agenda
in a couple of days, so I'll try to read Martin's mind, and you can both
tell me what I'm getting wrong. So can everyone else, of course ...

The character string "7510" does appear in a bunch of places in this draft,
but what I'm not seeing is a statement of whether the congestion control
considerations in Section 5 of RFC 7510 do, or do not, apply to MPLS-SR
over UDP, as with MPLS over UDP. That might be obvious to MPLS-SR types,
and it might be especially obvious to you, because you were author for this
draft and responsible AD for RFC 7510 until after it entered the RFC Editor
queue, but I wonder if it might be useful to Those Less Skilled In The Art.

I'll ballot No Objection/still discussing TSV-ART review with author, and
you can reply here, or there, as seems appropriate.

Make good choices, of course ;-)

Spencer

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 12 Mar 2019 20:04:05 -0000

Thanks Spencer.

My initial reaction was to be a bit snippy about this, but I’ll try to behave :-)

The intention is that MPLS-SR-over-IP utilises MPLS-over-UDP as documented in RFC 7510.

I think (and hope) that section 5 of RFC 7510 is an integral part of RFC 7510, and so is automatically part of any further specification that uses the mechanisms defined in RFC 7510.

In my opinion, to would be wrong to single out one section of RFC 7510 for special mention in this document since to do so might be taken to apply that other sections are not equally important.

Cheers,

Adrian

From: Spencer Dawkins at IETF <[email-masked]> 
Sent: 12 March 2019 19:42
To: Adrian Farrel <[email-masked]>
Cc: Datatracker on behalf of Martin Stiemerling <[email-masked]>; [email-masked]; [email-masked]; IETF list <[email-masked]>; [email-masked]
Subject: Re: [Tsv-art] Tsvart last call review of draft-ietf-mpls-sr-over-ip-03

Hi, Adrian, 

On Tue, Mar 5, 2019 at 3:35 PM Adrian Farrel <[email-masked] <mailto:[email-masked]> > wrote:

Hi Martin,

Good to hear from you.

Thanks,
Adrian

I haven't seen a response back from Martin, and this doc is on the agenda in a couple of days, so I'll try to read Martin's mind, and you can both tell me what I'm getting wrong. So can everyone else, of course ...

The character string "7510" does appear in a bunch of places in this draft, but what I'm not seeing is a statement of whether the congestion control considerations in Section 5 of RFC 7510 do, or do not, apply to MPLS-SR over UDP, as with MPLS over UDP. That might be obvious to MPLS-SR types, and it might be especially obvious to you, because you were author for this draft and responsible AD for RFC 7510 until after it entered the RFC Editor queue, but I wonder if it might be useful to Those Less Skilled In The Art. 

I'll ballot No Objection/still discussing TSV-ART review with author, and you can reply here, or there, as seems appropriate. 

Spencer

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 12 Mar 2019 15:52:19 -0500

Hi, Adrian,

On Tue, Mar 12, 2019 at 3:04 PM Adrian Farrel <[email-masked]> wrote:

> I think (and hope) that section 5 of RFC 7510 is an integral part of RFC
> 7510, and so is automatically part of any further specification that uses
> the mechanisms defined in RFC 7510.
>
>
>
> In my opinion, to would be wrong to single out one section of RFC 7510 for
> special mention in this document since to do so might be taken to apply
> that other sections are not equally important.
>

That's reasonable, and it's very likely that I missed what Martin was
thinking. Thanks for the quick response.

Spencer, who appreciates behaving since it's his last telechat ;-)

>
>
> Cheers,
>
> Adrian
>
>
>
> *From:* Spencer Dawkins at IETF <[email-masked]>
> *Sent:* 12 March 2019 19:42
> *To:* Adrian Farrel <[email-masked]>
> *Cc:* Datatracker on behalf of Martin Stiemerling <
> [email-masked]>; [email-masked]; [email-masked]; IETF
> list <[email-masked]>; [email-masked]
> *Subject:* Re: [Tsv-art] Tsvart last call review of
> draft-ietf-mpls-sr-over-ip-03
>
>
>
> Hi, Adrian,
>
>
>
> The character string "7510" does appear in a bunch of places in this
> draft, but what I'm not seeing is a statement of whether the congestion
> control considerations in Section 5 of RFC 7510 do, or do not, apply to
> MPLS-SR over UDP, as with MPLS over UDP. That might be obvious to MPLS-SR
> types, and it might be especially obvious to you, because you were author
> for this draft and responsible AD for RFC 7510 until after it entered the
> RFC Editor queue, but I wonder if it might be useful to Those Less Skilled
> In The Art.
>